---
- name: Commit UCI changes
  uci:
    command: 'commit'
- name: Restart dropbear
  ansible.builtin.service:
    name: 'dropbear'
    state: 'restarted'
- name: Restart dnsmasq
  ansible.builtin.service:
    name: 'dnsmasq'
    state: 'restarted'
- name: Restart odhcpd
  ansible.builtin.service:
    name: 'odhcpd'
    state: 'restarted'
- name: Reload firewall
  ansible.builtin.service:
    name: 'firewall'
    state: 'reloaded'
- name: Restart cron
  ansible.builtin.service:
    name: 'cron'
    state: 'restarted'

- name: Restart irqbalance
  ansible.builtin.service:
    name: 'irqbalance'
    state: 'restarted'
- name: Restart SQM
  ansible.builtin.service:
    name: 'sqm'
    state: 'restarted'
- name: Restart ddns
  ansible.builtin.service:
    name: 'ddns'
    state: 'restarted'
- name: Restart OpenVPN
  ansible.builtin.service:
    name: 'openvpn'
    state: 'restarted'
- name: Restart watchcat
  ansible.builtin.service:
    name: 'watchcat'
    state: 'restarted'
- name: Restart mwan3
  ansible.builtin.service:
    name: 'mwan3'
    state: 'restarted'
- name: Restart Mini SNMP Daemon
  ansible.builtin.service:
    name: 'mini_snmpd'
    state: 'restarted'

- name: Wait for reboot
  ansible.builtin.wait_for_connection:
    timeout: 300
    delay: 20
